Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when foreground/background color set in TUI

From: Jean Louis <[email-masked]>
Date: Wed, 13 Jan 2021 08:45:29 +0300

* Richard Stallman <[email-masked]> [2021-01-13 08:39]:
> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
> 
>   > Someone will have to implement an infrastructure to allow users
>   > customize faces separately for each type of frame.  The current
>   > Customize machinery for faces was not supposed to allow that.
> 
> How many types of frames are there?  Just two (GUI and text)?  For
> just two, it could be that a user could customize each one fairly
> easily.  Make two files, .emacs.gui and .emacs.text, then have .emacs
> choose to load one or the other of those two.  Then put the
> customization for GUI terminals into .emacs.gui and that for text
> terminals into .emacs.text.
> 
> It's not super-clean but it may be good enough.

I am using TUI by using emacsclient that speaks to GUI running
server. Do you think that may work with 2 customization files?